
# Supplementary dataset S2: Code and data

Analysis code and raw data for Mollentze et al. (2020), Virulence mismatches in index hosts shape the outcomes of cross-species transmission, PNAS.

## Raw data
The main dataset is available in `Data/Internal/`. See `Data/Internal/Metadata.html` for details.

## Usage
Analyses were performed in **R** version 3.5.1. To install the packages used in this analysis, start R and run `packrat::restore()`.

To re-run analyses, see `ModelFitting_Durations.R` and `ExcretedVirus_JointModels.R`. For data pre-processing steps, see `PrepareData.R`.


## Included files
```
├──Data/
│   ├──External/                           Data from external sources
│   └──Internal/                           Data generated in this study
│
├──Scripts/
│   ├──Main/
│   │   ├──PrepareData.R                   Performs data cleaning steps and consolidates data 
│   │   │                                    (called by other scripts)
│   │   ├──ModelFitting_Durations.R        Fits incubation and clinical period models
│   │   ├──ExcretedVirus_JointModels.R     Fits joint salivary gland titre - incubation period 
│   │   │                                    duration models
│   │   ├──GenerateReleaseData.R           Generates the cleaned dataset for release
│   │   └──Metadata.Rmd                    Combines column descriptions and references into a
│   │                                        human-readable metadata file (Metadata.html)
│   │
│   ├──Plotting/
│   │   ├──DataSummaryStats.R              Calculates summary statistics about dataset size, 
│   │   │                                    as reported in text
│   │   ├──Plot_Raw_Data_As_Network.R      Generates figure 1B
│   │   ├──ResultPlotting_Durations.R      Generates all panels of figure 2, as well as 
│   │   │                                    supplementary figures S1 & S2
│   │   ├──ResultPlotting_ExcretedVirus.R  Generates all panels of figure 3
│   │   ├──Plot_BodytempDiffVsPhyloDist.R  Generates supplementary figure S3
│   │   └──Plot_InoculationDistance.R      Generates supplementary figure S4
│   │
│   └──Utils/                              Utility functions loaded by other scripts
└──packrat/                                Cache of R packages used in this project
```